Package: groovy.jmx.builder

## [Groovy] Class JmxBuilder

- groovy.jmx.builder.JmxBuilder

- This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

  Authors:
    Vladimir Vivien

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilder ()`
    `JmxBuilder (MBeanServerConnection svrConnection)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDefaultJmxNameDomain()`
    `String` | `getDefaultJmxNameType()`
    `MBeanServerConnection` | `getMBeanServer()`
    `String` | `getMode()`
    `protected void` | `registerFactories()`
    `protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
    `void` | `setDefaultJmxNameDomain(String domain)`
    `void` | `setDefaultJmxNameType(String type)`
    `void` | `setMBeanServer(MBeanServerConnection svr)`
    `void` | `setMode(String mode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `getVariables, getVariable, setVariable, getCurrent, registerFactory, registerFactory, getParentName, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, withBuilder, withBuilder, withBuilder, addDisposalClosure, addPostNodeCompletionDelegate, getNameMappingClosure, setNameMappingClosure, registerExplicitMethod, registerExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, registerBeanFactory, registerBeanFactory, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, setPropertyMissingDelegate, getMethodMissingDelegate, getDisposalClosures, setMethodMissingDelegate, getPropertyMissingDelegate, getParentNode, build, build, build, dispose, invokeMethod, invokeMethod, setProperty, getProperty, getName, getContext, hasVariable, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Binding` | `getVariables, getVariable, hasVariable, setVariable, setProperty, getProperty, setMetaClass, getMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### JmxBuilder()

    - #### JmxBuilder(MBeanServerConnection svrConnection)

  - ### Method Detail

    - #### String getDefaultJmxNameDomain()

    - #### String getDefaultJmxNameType()

    - #### MBeanServerConnection getMBeanServer()

    - #### String getMode()

    - #### protected void registerFactories()

    - #### protected Factory resolveFactory(Object name, Map attributes, Object value)

    - #### void setDefaultJmxNameDomain(String domain)

    - #### void setDefaultJmxNameType(String type)

    - #### void setMBeanServer(MBeanServerConnection svr)

    - #### void setMode(String mode)